#
# Conditional build:
%bcond_without	python		# Python (3) binding
#
Summary:	GObject Data Mapper library
Summary(pl.UTF-8):	Biblioteka GObject Data Mapper
Name:		gom
Version:	0.3.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gom/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	e0372ce26af5034699c1e6b5ff589bf9
URL:		https://github.com/GNOME/gom
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool >= 0.40.0
BuildRequires:	meson >= 0.38.1
BuildRequires:	pkgconfig
%{?with_python:BuildRequires:	python3-devel >= 1:3.4}
%{?with_python:BuildRequires:	python3-pygobject3-devel >= 3.16.0}
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sqlite3-devel >= 3.7
Requires:	glib2 >= 1:2.36
Requires:	sqlite3 >= 3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GOM (GObject Data Mapper) is an attempt to make a DataMapper for
GObject.

%description -l pl.UTF-8
GOM (GObject Data Mapper) to próba stworzenia DataMappera dla obieków
biblioteki GObject.

%package devel
Summary:	Header files for GOM library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GOM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36
Obsoletes:	gom-static

%description devel
This is the package containing the header files for GOM.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe GOM.

%package apidocs
Summary:	GOM library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GOM
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
GOM library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GOM.

%package -n python3-gom
Summary:	Python 3 binding for GOM library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki GOM
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-pygobject3 >= 3.16.0

%description -n python3-gom
Python 3 binding for GOM library.

%description -n python3-gom -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki GOM.

%prep
%setup -q

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
meson build \
	--buildtype=plain \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	-Denable-gtk-doc=true

ninja -C build -v

%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT \
ninja -C build -v install

install -d $RPM_BUILD_ROOT%{_gtkdocdir}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/* $RPM_BUILD_ROOT%{_gtkdocdir}

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgom-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgom-1.0.so.0
%{_libdir}/girepository-1.0/Gom-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgom-1.0.so
%{_includedir}/gom-1.0
%{_pkgconfigdir}/gom-1.0.pc
%{_datadir}/gir-1.0/Gom-1.0.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gom

%if %{with python}
%files -n python3-gom
%defattr(644,root,root,755)
%{py3_sitedir}/gi/overrides/Gom.py
%{py3_sitedir}/gi/overrides/__pycache__/Gom.cpython-*.py[co]
%endif
%changelog
* Sat Jun 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gom.git;a=log;h=master

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> cf52bd6
- updated to 0.3.3
- build system has been switched to meson, -static is gone

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a0c84d
- python 3.6
- release 2 (by relup.sh)

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> cadd574
- updated to 0.3.2
- added python3- package

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 63b27a9
- updated to 0.3.1

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 338fd88
- updated to 0.3.0

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> d3d5ba5
- updated to 0.2.1

* Wed Jun 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 09dff26
- new

